Subject: bug#60936: 30.0.50; ERC >5.5: Add erc-fill style based on visual-line-mode

From: "J.P." <[email-masked]>
Date: Tue, 15 Aug 2023 07:01:44 -0700

Michael Albinus <[email-masked]> writes:

> "J.P." <[email-masked]> writes:
>
> Hi,
>
>> There have been three failures (all on native-comp-speed2-master) over
>> the last three weeks pointing to these tests, which haven't changed in
>> the year-plus they've existed in tree.  No test appears in multiple
>> failures, and all continue to pass daily on commercial GitLab (GCP)
>> runners using the same EMBA container image.  They also pass locally
>> with "make check" and "make -j -C test SELECTOR=t check-lisp-erc".  If
>> these tweaks don't fix the problem, they can be branded :unstable.
>
> If the problem happens only on emba, you can skip the tests with
>
>   :tags (if (getenv "EMACS_EMBA_CI")
>             '(:expensive-test :unstable)
>           '(:expensive-test))
>
> Best regards, Michael.

Thanks Michael. I guess checking for

  (equal (get-env "CI_JOB_STAGE") "native-comp")

might also help unless that's inadvisable for some reason (though I'm
still hoping it doesn't come to this). And not that you should care, but
I've been waiting for

  bug#65176: ~25 test failures from make check in the latest master

to wrap up before installing this or similar.

BTW, does EMBA expose any public /metrics endpoints? I ask because
perhaps investigating possible relationships between intermittent
EMBA-only job failures and something like node-exporter signals [1]
might prove fruitful. Just a thought.

[1] https://docs.gitlab.com/ee/administration/monitoring/prometheus/index.html#prometheus-as-a-grafana-data-source